
Figure - Bug #112115
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】打开“开发者选项”时，页面卡顿
2022-09-23 14:04 - CD Test赵飞

Status: CLOSED Start date: 2022-09-23

Priority: Normal Due date: 2022-09-30

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220923.alpha_0017

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

Reproducibility: Every time Fixed Version: 2022-09-28

Test Type: IT Root cause: 编码问题

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220923.alpha_0017

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置 - 关于平板电脑

2、连续点击“版本号”7次

3、点击“系统” - “开发者选项”

【预期结果】

3、进入“开发者选项”页面，无卡顿现象

【实际结果】

3、进入“开发者选项”页面时，页面卡顿；进入后在“开发者选项”页面上下滑动时，也非常卡顿

【复现率】

5/5

【日志】

见附件

【Note】

1、进入设置中其他选项时，不会有卡顿

2、测试使用的是user版本，在userdebug版本上也复现

History

#1 - 2022-09-26 13:39 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#2 - 2022-09-26 18:34 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_update_20221130

#3 - 2022-09-27 15:29 - CDTS_TEST 王成
- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V3.0_20221030

#4 - 2022-09-28 11:20 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#5 - 2022-09-28 11:21 - CD AF-陈羽杰

- % Done changed from 0 to 60

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

已定位到问题

■ My analysis

由于修改双屏显示，父布局NestedScrollView嵌套RecyclerView，导致RecyclerView复用模式失效，从而创建大量viewholder使系统发生卡顿

■ Next action

本地修改，取消NestedScrollView验证。

#6 - 2022-09-28 15:44 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-28

■ Current conclusion

已修复

■ My analysis

由于修改双屏显示，父布局NestedScrollView嵌套RecyclerView，导致RecyclerView服用模式失效，从而创建大量viewholder使系统发生Anr导致崩溃。

■ submit url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152503

#7 - 2022-10-10 11:09 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

验证结果：PASS

#8 - 2022-10-10 11:09 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

logcat-1.txt 920 KB 2022-09-23 CD Test赵飞

bugreport.txt 278 Bytes 2022-09-23 CD Test赵飞
